from setuptools import setup, find_packages
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

with open(path.join(here, 'README.rst'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='pyraptor',
    version='0.1.0',
    description='A tool for searching & extracting information from multiple text files.',
    long_description=long_description,
    #url='',
    author='Antonio Suarez Jimenez',
    author_email='pherkad13@gmail.com',
    license='GNU GPLv3',
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
    keywords='pyraptor search extract text csv',
    packages=['pyraptor'],
    package_dir = {'pyraptor':'pyraptor'},
    #packages=find_packages(exclude=['examples']),
    #install_requires=[''],
    #extras_require={'': [''],'': [''],},
    #package_data={'': [''],},
    #data_files=[('', [''])],
    entry_points={
        'console_scripts': [
            'pyraptor=pyraptor:main',
        ],
    },
)
